package cn.iocoder.yudao.module.bpm.dal.mysql.oa.receive;

import java.util.*;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.receive.OaReceiveObjDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 领用流程信息子表 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaReceiveObjMapper extends BaseMapperX<OaReceiveObjDO> {

    default List<OaReceiveObjDO> selectListByReceiveId(Long receiveId) {
        return selectList(OaReceiveObjDO::getReceiveId, receiveId);
    }

    default int deleteByReceiveId(Long receiveId) {
        return delete(OaReceiveObjDO::getReceiveId, receiveId);
    }

}